Bug 118890 - FILEOPEN PPTX: Pulse Animation incorrectly imported
Summary: FILEOPEN PPTX: Pulse Animation incorrectly imported
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords: bibisected, bisected, filter:pptx, regression
Depends on:
Blocks:
 
Reported: 2018-07-22 18:47 UTC by Luke
Modified: 2018-07-26 03:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Shape with Pulse Animation (35.12 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2018-07-22 18:47 UTC, Luke
Details
PPT format correctly imported (218.00 KB, application/vnd.ms-powerpoint)
2018-07-22 19:00 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2018-07-22 18:47:08 UTC
Created attachment 143690 [details]
Shape with Pulse Animation

The PowerPoint Pulse animation should be mapped to Emphasis: Flash Bulb. This animation should grow by approximately 5% while the object is gradually dimmed. In recent builds the behavior has changed so that the object is growing by approx. 50%. 

Steps to reproduce:
1. In a recent build of Impress open PulseBug.pptx
2. Start slideshow

Expected Results:
1. The shape should grow by about 5% while fading out. It should then shrink back to its original size.

Actual Result:
1. Shape grows by ~50%

Note: PPT files import as expected.

Version: 6.2.0.0.alpha0+ Build ID: a014a9bcf071229eef93c307c705a4c639635bd5
Time: 2018-07-19_05:23:09
GOOD

Version: 6.2.0.0.alpha0+ Build ID: b7e139fa21607f488465fd87333db757ad0c91a2
Time: 2018-07-20_00:10:09
BAD
Comment 1 Luke 2018-07-22 18:52:11 UTC
Based on the range, https://cgit.freedesktop.org/libreoffice/core/commit/?id=a4d2720ebdc6cdd700ca2cfa0d8e2db22a17e4c2

tdf#98477 convert to, from, by of AnimScaleContext.

Seems like the only likely candidate
Comment 2 Luke 2018-07-22 19:00:08 UTC
Created attachment 143693 [details]
PPT format correctly imported
Comment 3 Luke 2018-07-22 19:15:45 UTC Comment hidden (obsolete)
Comment 4 Xisco Faulí 2018-07-22 21:16:30 UTC
Indeed, Regression introduced by:

author	Mark Hung <marklh9@gmail.com>	2018-07-14 19:47:36 +0800
committer	Mark Hung <marklh9@gmail.com>	2018-07-19 07:38:02 +0200
commit	a4d2720ebdc6cdd700ca2cfa0d8e2db22a17e4c2 (patch)
tree	22de50ad95891c5cce91bf4e5b8105b8996bba65
parent	a014a9bcf071229eef93c307c705a4c639635bd5 (diff)
tdf#98477 convert to, from, by of AnimScaleContext.

Bisected with: bibisect-linux64-6.2

Adding Cc: to Mark Hung
Comment 5 Commit Notification 2018-07-24 10:10:59 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=629aeda73b2db4246b837b63fb7bcf267111783c

tdf#118890 subtract 100% from by values of animScale.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Luke 2018-07-26 03:59:54 UTC
Verified FIXED in Version: 6.2.0.0.alpha0+
Build ID: 75a5b5a850511bf1a0a32c113237085cbc069cc4
CPU threads: 4; OS: Windows 10.0; UI render: GL; 


Thanks Mark!